classification
Title: documentation -- do serversockets work with ipv6
Type: Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, loewis, mrm
Priority: normal Keywords:

Created on 2008-05-02 18:53 by mrm, last changed 2008-05-11 10:59 by georg.brandl. This issue is now closed.

Messages (8)
msg66102 - (view) Author: Mike MacFaden (mrm) Date: 2008-05-02 18:53
the url
   http://docs.python.org/lib/node633.html
states 
   1)   address_family
       The family of protocols to which the server's socket belongs. 
     socket.AF_INET and socket.AF_UNIX are two possible values.

would suggest including socket.AF_INET6 as well if it is supported
or what criteria makes a socket not usable with this class.
msg66105 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-05-02 19:30
I fail to see the issue. There are many other address families supported
as well, such as AF_BLUETOOTH, AF_PACKET, AF_TIPC, and AF_NETLINK,
depending on the system. The documentation just lists some examples.
msg66133 - (view) Author: Mike MacFaden (mrm) Date: 2008-05-02 23:56
Martin v. Löwis wrote:
> Martin v. Löwis <martin@v.loewis.de> added the comment:
> 
> I fail to see the issue. There are many other address
> families supported as well, such as AF_BLUETOOTH, AF_PACKET,
> AF_TIPC, and AF_NETLINK, depending on the system. The
> documentation just lists some examples.

the way i read the text, i gathered that it might not work
with sockets belonging to a subset of address families.

thanks,
mike
msg66143 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-05-03 06:55
> the way i read the text, i gathered that it might not work
> with sockets belonging to a subset of address families.

I still cannot see anything wrong with that text, but then,
English is not my native language. Can you suggest a different
formulation?
msg66275 - (view) Author: Mike MacFaden (mrm) Date: 2008-05-05 17:19
so i suggest just removing this sentence --

  AF_INET and socket.AF_UNIX are two possible values.

this would imply that all socket address families are supported.
but if that is not true just list the exceptions.
msg66290 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-05-05 21:16
> so i suggest just removing this sentence --
> 
>   AF_INET and socket.AF_UNIX are two possible values.
> 
> this would imply that all socket address families are supported.
> but if that is not true just list the exceptions.

I think this will confuse users which don't know what an
"address family" is - they are left guessing what possibly could
be in this field.
msg66291 - (view) Author: Mike MacFaden (mrm) Date: 2008-05-05 21:42
then change 'possible values' to 'for example'
msg66621 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-11 10:59
Okay, this should now be clearer in r63057.
History
Date User Action Args
2008-05-11 10:59:51georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg66621
2008-05-05 21:42:05mrmsetmessages: + msg66291
2008-05-05 21:17:00loewissetmessages: + msg66290
2008-05-05 17:19:03mrmsetmessages: + msg66275
2008-05-03 06:55:22loewissetmessages: + msg66143
2008-05-02 23:56:49mrmsetmessages: + msg66133
2008-05-02 19:30:12loewissetnosy: + loewis
messages: + msg66105
2008-05-02 18:53:13mrmcreate